#ifndef LIB94_BENCH_MAIN_HPP
#define LIB94_BENCH_MAIN_HPP

#include <lib94/lib94.hpp>
#include <chrono>
#include <vector>
#include <mutex>

extern std::vector<lib94::warrior *> warriors;
extern std::chrono::nanoseconds time_between_steps;
extern std::mutex core_mutex;

std::string ns_to_string(std::chrono::nanoseconds dur);
std::string hz_to_string(double rate);

#endif
